## Sync object metadata

This endpoint allows you to store arbitrary JSON data for your merchant account.
Metadata expires after 2 years unless a shorter ttl is specified.
Metadata can be deleted by syncing with a ttl of 0.
If the metadata for the given key has already expired, syncing it again will reactivate it.
For test accounts, there is an overall limit of 10 MB for all metadata records.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/sync-metadata HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  key: string,
  path: string?,
  metadata: any,
  version: number?,
  ttl: number?,
}
```

Returns: string

## Request arguments

### `key` (string)

**Required**. The unique key to store metadata for.

### `path` (string)

_Optional_. Optional dot-separated path within the metadata object to update.

### `metadata` (any)

**Required**. The JSON metadata to store (or value at path).

### `version` (number)

_Optional_. The version number for optimistic locking (lock_version).

### `ttl` (number)

_Optional_. The time to live in seconds. After this duration, the metadata will be considered expired. Maximum allowed is 2 years.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
